## statusbar-alarm-dbus-api 0.5.10-1+0m5

=== debian/changelog ===
statusbar-alarm-dbus-api (0.5.10-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Sudheer Chiluveri <sudheer.chiluveri@nokia.com>  Thu, 02 Jul 2009 11:53:17 +0300

statusbar-alarm-dbus-api (0.5.10-1) unstable; urgency=low

  * Week 27, 2009 release
  * Fixes licensing test issues in source file.

 -- Moises Martinez <moises.martinez@nokia.com>  Tue, 30 Jun 2009 12:45:03 +0300

statusbar-alarm-dbus-api (0.5.9-1) unstable; urgency=low

  * Week 25, 2009 - release of statusbar-alarm-dbus-api

 -- Moises Martinez <moises.martinez@nokia.com>  Fri, 12 Jun 2009 20:29:26 +0300
